Package de.gebit.integrity.ui.contentassist

## Class DSLContentProposalPriorities

- java.lang.Object
- - org.eclipse.xtext.ui.editor.contentassist.ContentProposalPriorities
  - - de.gebit.integrity.ui.contentassist.DSLContentProposalPriorities

- All Implemented Interfaces:
    `org.eclipse.xtext.ui.editor.contentassist.IContentProposalPriorities`

      public class DSLContentProposalPriorities
      extends org.eclipse.xtext.ui.editor.contentassist.ContentProposalPriorities

  A custom proposal priority implementation in order to adjust proposal priorities.
  Author:
    Rene Schneider - initial API and implementation

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.xtext.ui.editor.contentassist.ContentProposalPriorities

      `crossReferencePriority, defaultPriority, keywordPriority, proposalWithPrefixMultiplier, sameTextMultiplier`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DSLContentProposalPriorities()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `adjustPriority​(org.eclipse.jface.text.contentassist.ICompletionProposal aProposal, String aPrefix, int aPriority)` |

    - ### Methods inherited from class org.eclipse.xtext.ui.editor.contentassist.ContentProposalPriorities

      `adjustCrossReferencePriority, adjustKeywordPriority, getDefaultPriority`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DSLContentProposalPriorities

          public DSLContentProposalPriorities()

  - ### Method Detail

    - #### adjustPriority

          protected void adjustPriority​(org.eclipse.jface.text.contentassist.ICompletionProposal aProposal,
                                        String aPrefix,
                                        int aPriority)

      Overrides:
        `adjustPriority` in class `org.eclipse.xtext.ui.editor.contentassist.ContentProposalPriorities`